Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Class ValidatorConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.validator.ValidatorConfig

All Implemented Interfaces:
  Locatable

    public class ValidatorConfig

extends Located

Holds the necessary information for configuring an instance of a Validator.

Author:
  James House, Rainer Hermanns, tm_jee, Martin Gilday

Nested Class Summary
`static class` | `ValidatorConfig.Builder` Builds a ValidatorConfig

Field Summary

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ValidatorConfig(String validatorType)`
`protected` | `ValidatorConfig(ValidatorConfig orig)`

Method Summary
`String` | `getDefaultMessage()`
`String` | `getMessageKey()`
`String[]` | `getMessageParams()`
`Map<String,Object>` | `getParams()`
`String` | `getType()`
`boolean` | `isShortCircuit()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorConfig

    protected ValidatorConfig(String validatorType)

Parameters:
  `validatorType` -

### ValidatorConfig

    protected ValidatorConfig(ValidatorConfig orig)

Method Detail

### getDefaultMessage

    public String getDefaultMessage()

  Returns:
    Returns the defaultMessage for the validator.

### getMessageKey

    public String getMessageKey()

  Returns:
    Returns the messageKey for the validator.

### isShortCircuit

    public boolean isShortCircuit()

  Returns:
    Returns wether the shortCircuit flag should be set on the validator.

### getParams

    public Map<String,Object> getParams()

  Returns:
    Returns the configured params to set on the validator.

### getType

    public String getType()

  Returns:
    Returns the type of validator to configure.

### getMessageParams

    public String[] getMessageParams()

  Returns:
    The i18n message parameters/arguments to be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.